=== debian/rules ===
#!/usr/bin/make -f

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with=systemd --with autoreconf --fail-missing

override_dh_auto_configure:
	dh_auto_configure --  --with-systemdsystemunitdir=/lib/systemd/system --enable-manuals

#override_dh_clean:
#	dh_clean
#	$(RM) tests/package.m4
#	$(RM) tests/testsuite

# Print test results in case of a failure
#override_dh_auto_test:
#	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
