## osmo-remsim 0.2.2.46.3598

=== debian/changelog ===
osmo-remsim (0.2.2.46.3598) UNRELEASED; urgency=medium

  * Snapshot build

 -- Harald Welte <laforge@osmocom.org>  Mon, 17 Feb 2020 01:31:53 +0000
