=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
                pkg-config,
                osmo-gsm-manuals-dev,
                libcsv-dev,
-               libosmocore-dev (>= 1.3.0),
+               libosmocore-dev,
                libosmo-abis-dev,
-               libosmo-simtrace2-dev,
                libpcsclite-dev,
                libusb-1.0-0-dev,
                libulfius-dev,
@@ -26,7 +25,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Osmocom Remote SIM - Shared Library
  libosmo-rsrpo is an utility library for encoding/decoding the ASN.1 BER
@@ -37,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: Osmocom Remote SIM - Shared Library Development Haders
  libosmo-rsrpo is an utility library for encoding/decoding the ASN.1 BER
  based RSPRO (Remote SIM Protocol) protocol used between the osmo-remsim
@@ -46,7 +45,7 @@
 Package: osmo-remsim-server
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom Remote SIM - Central Server
  The remsim-server is the central element of a osmo-remsim deployment,
  it maintains a list of clients + bankds connected to it, as well as the
@@ -55,7 +54,7 @@
 Package: osmo-remsim-bankd
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom Remote SIM - Bank Daemon
  The remsim-bankd is managing a bank of SIM card readers and their
  respective cards.  It establishes a control connection to remsim-server
@@ -64,7 +63,7 @@
 Package: osmo-remsim-client
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom Remote SIM - Client
  The remsim-client is managing a given phone/modem.  It attaches to the
  'cardem' firmware of a SIMtrcace2 (or compatible, such as sysmoQMOD)
@@ -75,6 +74,6 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  User manual for ${misc:Package} in PDF format.
